Get Ticketing Orders

This API used to get ticketing order data associated with the specified event. This API can be access by event admin and super admin. It will return list of orders data like orderId, cardType, orderType, deliveryMode, totalAmount, purchaseDate, status, note and many more.To call this API, user have to pass query param with API URL like eventurl, searchString, dataType, searchDate, page, size, recurringEventId and authentication key to authenticate user.This API used at host side to get ticketing order details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributeDescription
statusIt's contains the order status e.g. paid, partially paid or refunded.
totalAmountIt's contains the number of order amount.
idIt's contains the field for host order list.
salesTaxFeeIt's contains the sales tax fee.
ticketingFeeIt's contains the ticketing fee.
ccFeeIt's contains the ticketing orders CC fee.
purchaserIt's contains the order purchaser information.
  • *firstName:** It's contains the purchaser first name. Only 50 Characters are allowed in firstName.
  • *lastName:** It's contains the purchaser last name. Only 50 Characters are allowed in lastName.
  • *email:** It's contains the purchaser email. Only 75 Characters are allowed in email.
purchaseDateIt's contains the order purchase date.
orderTypeIt's type of order, It will return type of order like CASH, CARD, COMPLIMENTARY, UNPAID, UNPAID_DELETE, APP Or EXTERNAL_TRANSACTION.
cardTypeIt's contains the card type used while ordering.
lastFourIt's contains the last four digits of card.
noteAdditional note added for manually entered note on staff or host page.
attendeelist of attendees
  • *firstName:** It's contains the first name of attendee.
  • *lastName:** It's contains the last name of attendee.
  • *email:** It's contains the email of attendee.
  • *qty:** It's contains the number of tickets.
  • *ticketType:** It's contains the type of ticket.
  • *bundleType:** It's contains the type of ticket bundle, value will null if found individual ticket bundle type.
  • *paidAmount:** It's total amount paid for a ticket.
  • *status:** It's contains the attendee order status, e.g. paid, unpaid etc.
  • *eventTicketingId:** it's contains the event ticketing id.
  • *isTable:** is ticket type is table?
  • *seatNumber:** It's contains the number of seat.
  • *dataType:** It's contains the data Type e.g. TICKET, ADDON.
  • *blocked:** It's contains the attendee is blocked or not.
  • *userId:** It's contains the user id.
  • *isPaidTicket:** It's checking is paid ticket or not.
  • *phoneNumber:** It's contains the phone number of attendee.
currencyIt's contains the order currency.
timezoneIdIt's contains the order timezone.
equivalentTimezoneIt's contains the equivalent time zone, e.g. Asia/Calcutta.
recurringEventDateIt's contains the recurring event date.
orderIdIt's contains the order id.
deliveryModeIt's contains the delivery mode like email, Printed,On Call or At Door Sale.
speakerOrderIt's contains the order for speaker.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200ticketing order array
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030101Not staff User
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
string

Get filter ticketing orders according to search value passing in request.

string
enum

pass the event ticket datatype like TICKET or ADDON.

Allowed:
date

It's contains the order date search.

int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

int32
Defaults to 10

Size will returns number of records when call api default will returns 10 records

int64
Defaults to 0

pass recurring event id.

date

gives records created or updated after this time. Format- MM/dd/yyyy HH:mm:ss

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json